# Subclipse Changelog

This file documents all of the changes that have been made to Subclipse beginning with the 1.6.0 release process. Please visit http://subclipse.tigris.org/ for the latest information on Subclipse.

The latest version of this file can be viewed directly from our website at http://subclipse.tigris.org/subclipse_1.6.x/changes.html. Please note that the file on the website may contain information about changes that have not yet been made available in a release. Generally, these changes will be available in the next release but it is also possible that a change will be pulled out due to testing problems.

NOTE: As of Subclipse 1.6.0, the minimum Subversion JavaHL requirement is 1.6.0.

#### Version 1.6.18
1 June 2011

from: /branches/1.6.x
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.18

- JavaHL binaries for Subversion 1.6.17
- Fix another SVNMoveDeleteHook schedule rule violation scenario. (1236)
- Make commit to tags path warning optional. (1238)
- Working Set cleanup menu option. (1240)
- Decorate working set. (1241)

#### Version 1.6.17
26 January 2011

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.17

- Get certificate from windows keystore.
- Commit not showing error when SVNKit includes error in skipped notification. (1181)
- Make Synchronize View Mark as Merged and Override and Update options cancelable. (1211)
- Save comment when commit dialog is closed without committing from Sync view. (1221)
- Fix conflict editor to use custom file encoding on right side instead of default container encoding. (1192)
- Fix compare with base revision and compare with branch/tag to use custom file encoding on the right side instead of the default container encoding. (1004)
- Warn if switched to a tag when committing from Synchronize view. (1233)
- Only perform reverse merge over selected revisions. (1229)
- Fix Scheduling rule violation in SVNMoveDeleteHook. (1236)

#### Version 1.6.16
29 November 2010

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.16

- Update Windows JavaHL to 1.6.15
- Improvements to handling of SSL client certificates. (1206)

#### Version 1.6.15
25 October 2010

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.15

- Improvements to Cancel feature by using progress notifications as an additional place we can check if cancel was pressed. (1205)
- Notify repo browser that refresh is needed after branch/tag created. (1204)
- Fix reporting of JavaHL or SVNKit in usage reports.

#### Version 1.6.14
12 October 2010

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.14

- JavaHL 1.6.13 and SVNKit 1.3.4 included
- When checking out multiple projects, failure to check out one or more of the projects will no longer result in successfully checked out projects ending up disconnected. (1113)
- When Edit Conflicts fails because of an error invoking an external compare program, show the details of the error in the error dialog and error log.
- Do not show duplicate revisions in History View table when Next is pressed after update of History View resource. (1133)
- Fix compare with Branch/Tag repository browse button to open on external repository rather than project repository when an external resource is being compared. (1099)
- Add "Show unversioned files" and "Keep locks" toggle options to commit dialog context menu. (1148)
- Fix NPE in checkout wizard when an unexpected error occurs prior to the wizard becoming visible. (1190)
- Fix NPE on Edit Conflicts action on binary file from Synchronize view. (1191)
- Fix compare when local resource name does not match repository name. (1193)
- Added new plugin to report on usage.
- Fix "No such revision" error when refreshing new revisions and graph revisions in the revision graph. (1194)
- Do not try to show revision graph for project that is checked out from repository root. (1194)
- Reverse change to process resource change events in system jobs. (1199)

#### Version 1.6.13
29 July 2010

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.13

- Re-worked all resources listeners resulting in significant performance improvement.
- Improved efficiency of status cache manager.
- Improved efficiency of menu option enablement
- Fix Compare with Branch/Tag when a local file is compared to a completelycdifferent repository file. (1166)
- Save comment history when committing changes from repositories view (i.e. branch/tag). (1171)
- Enable Compare with options multiple resource selection and for Working Set selection. (1069)
- Allow Configure Branches/Tags for multiple selection when the subclipse:tags property is the same for all the selected resources. (1174)

#### Version 1.6.12
22 June 2010

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.12

- Update JavaHL to SVN 1.6.12 release
- Synchronize all of the selected projects after multiple projects shared. (1115)
- Fix scheduling rule violation when resources from multiple projects selected for Replace With operation. (1100)
- Improve handling of unexpected errors (i.e., invalid revision) in compare operations. (1116)
- SVN Properties View - Indicate conflicted properties with icon.
- Edit Property Conflicts action. (1119)
- Fix NPE when trying to share project that is not stored in local file system. (1122)
- Fixed context menu breaking class cast error in history view compressed folders mode. (1124)
- Do not show dialog prompting to disable password stores if password-stores property is present and set to something other than gnome-keyring. (1136)
- Fixes to Show Annotation. (1140)
- Fix NPE in revision selection dialog when bug tracking properties are set. (1140)
- Allow selection of URL's to compare in Compare Branch/Tag dialog. (1131)
- Mark Tree Conflict Resolved wizard.
- When comparing from workspace to repository, use SVN diff for folder compares, not for file compares.
- Do not notify listeners on update actions when both content and property states are unknown or unchanged, regardless of command.
- Don't show Refresh Revision/Merge Info context menu option in revision graph when no revision(s) selected. (1153)
- Fix RevertResourceManager resource listener to ignore non-SVN projects. (1047)
- Fix StatusCacheManager to ignore non-SVN projects. (1047)
- Unregister subscriber change listener when editor is closed after quick diff. (1157)

#### Version 1.6.10
08 March 2010

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.10

- Revert all decorator improvements made for issue 1073 thus far to restore performance of decorators. (1073)
- Fix peg revision problems in history view compare options. (1109)
- Fix peg revision problems in history view annotate option. (1109)
- Fix peg revision problems in history view annotate option. (1114)
- Fix tree conflict resolution wizard merge/compare browse button to bring up folder browser instead of file browser when tree conflict is on a folder that does not exist locally. (1111)

#### Version 1.6.9
05 March 2010

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.9

- Fix compare of two revisions after move/rename. (1087)
- Fix History View Get Contents for file in a different branch. (1109)
- Use local file revision for peg revision when fetching contents from history. (1109)
- Fix slow display of History View affected paths context menu. (1110)
- Use the SynchronizationStateTester provided by the decoration context when computing dirty state. This fixes problem with incorrect folder decorations when Java Package Explorer is in hierarchical mode. (1073)
- Fix null argument error in history view when link with selection/editor is turned on and the history view is currently opened on a remote resource and an added or unmanaged file is opened. (1104)

#### Version 1.6.8
22 February 2010

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.8

- Improve JavaHL keyring fix to work when config file does not exist yet. (1082)
- Compare with Latest - convert backslashes to slashes. Fixes problem on Windows. (1076)
- Do not refresh tree conflicts view multiple times after a set of resource changes. (1093)
- Don't decorate Working Set label text. (1073)
- Fix Open option from History view when selected revision has a different URL do to copy/rename. (1087)
- Fix Compare With -> Revision after move/rename. (1087)
- Improvements to diff file parsing

#### Version 1.6.7
12 February 2010

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.7

- Prompt user with help pointer when JavaHL is not available. (1081)
- Prompt user to remove GNOME keyring option from config on Linux. (1082)
- Respect resource mapping traversal depth when decorating resources. (1073)
- Fix setting of default to-revision in compare dialog when two nodes are compared from Repositories View. (1078)
- Compare folders with ignoreAncestry=true. Do not open empty compare editor if no differences. (1042)
- Don't contact repository when autosharing project. (1061)
- Use svn diff and status output to drive compare with working copy. (1076)

#### Version 1.6.6
27 January 2010

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.6

- JavaHL updated to SVN 1.6.9.
- Do not lock up UI while resolving tree conflict.
- Compare with revision always comparing the same files. (1031)
- Tree conflicts view performance. (1040)
- Improvements to editing and resolving conflicts.
- Enable cancel of merge in progress. (1053)
- Enable cancel of history retrieval. (1039)
- Fix NPE when setting commit properties from History view. (1045)
- Fix NPE in History Dialog when "Default number of log messages" preference = 0. (1036)
- Enable control-return finish from Branch Tag wizard comment page. (1026)
- Don't try to get info for added resource when displaying SVN property page. (986)
- Show information message when there is nothing to revert. (1054)
- Fix problem with Eclipse problem markers for merge conflicts.
- Fixes to improve guessing of node type (folder/file) when not known.
- Show working copy location rather than workspace location in merge dialog. (1037)
- Show correct target URL in commit dialog when committing switched file. (1008)
- Fix problem with Branch/Tag + Switch of multiple resources corrupting workspace. (979)
- Fix Delete option from Synchronize View context menu. (983)
- Decorate image for locked files in repositories view. Show lock information in properties view. (997)
- Refresh local status after adding parent directory to version control. (1066)
- Fix "Compare with latest from repository" option for locally-renamed files. (953)
- Fix "Show History" option for locally-renamed files. (953)
- Crawl local file system to find bugtraq properties. (1014)
- Fix problem comparing two revisions of deleted file. (903)
- Fix replace with latest from repository option when there are no outgoing changes. (888)
- Fix conflict with Mylyn hyperlink detectors in runtime. (1068)
- Fix bugtraq bug URL in history view. (886)
- Fix synchronization of SVN Properties view. (820)
- Improve compare with performance. (999)

#### Version 1.6.5
11 August 2009

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.5

- Added some missing resource to svnClientAdapter.
- Fix "show compare" toggle button state when compare panel is opened by double-clicking a file. (974)
- Unable to rename/refactor java file with svn:keywords. (923)
- Place externals icon decorator on file externals. (940)
- Fix potential NPE in History view. (977)

#### Version 1.6.4
07 August 2009

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.4

- JavaHL 1.6.4 binaries for Windows
- Fix NPE in StatusCacheManager. (951)
- Fix Compare with option when file or folder names have URL escaped characters, such as a space. (965)
- Integrate compare pane with commit dialog. (962)
- Fix error handling in Mark as Merged operation when temporary file cannot be created. (967)
- Allow Ctrl-Enter close of set property dialog when cursor is in value field. (969)
- Do not trim leading spaces when saving commit comment. (970)
- Eliminate error when right clicking on deleted file in "affected paths" section of History View. (902)
- Improve handling of bugtraq:logregex property. (972)
- Refresh local status state when sync state explicitly refreshed. (941)
- Disable Open and Show Annotation actions when folder selected in history view change paths section.
- When deleted change path is selected in History View, pass revision-1 to context menu options.
- Option to restore deleted file from History View. (973)
- Do not enable Checkout Wizard Finish button when no folder selected. (933)
- Change resource selection area mode buttons (flat/tree/compressed) to have radio button behavior. (915)

#### Version 1.6.3
13 July 2009

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.3

- Allow new update dialog to have defaults set programmatically for use by merge client.

#### Version 1.6.2
13 March 2009

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.2

- UI support for set-depth=exclude. (866)
- New Update to Version ... option. Rename existing option to Update to HEAD (866)
- Improvements to tree conflict resolution. (826)
- Do not enable revision graph option on change set nodes. (868)

#### Version 1.6.1
27 February 2009

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.1

- Fix error on first build of cache for revision graph. (853)
- Team menu re-organization. (854)
- Synch view fixes for changesets and compare. (856)
- Use project name as default when sharing project. (859)
- Organize SVN toolbar menu and add icons. (857)

#### Version 1.6.0
23 February 2009

from: /trunk
http://subclipse.tigris.org/svn/subclipse/tags/subclipse/1.6.0

- JavaHL 1.6.0-rc2 binaries for Windows
- Support for Subversion tree conflicts
- Revision Graph Improvements:

- Improved error handling and logging.
- Enable from Synch view.
- Select and refresh multiple revisions. (842)
- More accurate label for refresh option. (842)
- Improve layout of tooltip. (847)

- Show author for incoming changes in synch view. (824)
- Do not allow file to be moved to project that is managed by a different provider. (428)
- Log more errors, rather than printing stack traces. (825)
- Show dialog for Mark Resolved option. (826)
- Fix problem when comparing resource in Eclipse 3.5. (838)
- Use bugtraq:label for column heading in History view. (841)
- Open bug URL from History view. (840)
- Only update resources with incoming changes when doing Override and Update. (848)
- Do not recurse into container when one is selected along with a child. (839)